import { api_sysAreaQueryAllProvince } from "../../api/new";

// pages/test-components/index.ts
Page({
  /**
   * 页面的初始数据
   */
  data: {
    fieldValue: "",
    fieldValue1: "11",
    radioList: [
      {
        label: "男",
        value: "1",
      },
      {
        label: "女",
        value: "0",
      },
      {
        label: "未知",
        value: "2",
      },
    ],
    radio: "0",
    checkbox: ["1"],
    dialogShow: false,

    pickerValue: [],
    pickerShow: false,
    moreValue: "",
    columns: [
      {
        values: [
          { text: "一年级", value: 1 },
          { text: "二年级", value: 2 },
          { text: "三年级", value: 3 },
          { text: "四年级", value: 4 },
        ],
        defaultIndex: 0,
      },
      {
        values: [
          { text: "一班", value: 1 },
          { text: "二班", value: 2 },
          { text: "三班", value: 3 },
          { text: "四班", value: 4 },
        ],
      },

      // { text: "一年级", value: 1 },
      // { text: "二年级", value: 2 },
      // { text: "三年级", value: 3 },
      // { text: "四年级", value: 4 },
    ] as any,

    // 搜索
    pickerSearchShow: false,
    searchColumns: [
      { text: "一年级", value: 1 },
      { text: "二年级", value: 2 },
      { text: "三年级", value: 3 },
      { text: "四年级", value: 4 },
    ] as any,
    pickerSearchValue: "",
    searchName: "",
    searchLoading: false,
    searchValue: "",

    // 省市区
    pickerAreaShow: false,
    fieldArea: "",
    areaList: [] as any,
    areaValue: {
      // cityCode: "110120",
      // provinceCode: "110000",
      // regionCode: null
    },

    // 日期
    pickerTimeShow: false,
    fieldTime: "",
    timeValue: Date.now(),
    currentDate: Date.now(),
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad() {
    this.getAreas();
  },
  /** 获取省市区 */
  async getAreas() {
    try {
      const { data } = await api_sysAreaQueryAllProvince({});
      this.setData({
        areaList: data.data,
      });
    } catch {
      //
    }
  },
  onInput(e: any) {
    console.log(e, "input");
  },
  onSubmit() {
    console.log(this.data, "data");
    // this.setData({
    //   dialogShow: true
    // })
  },
  onCheckboxChange(event: any) {
    this.setData({
      checkbox: event.detail,
    });
  },
  onSelectClass() {
    this.setData({
      pickerShow: true,
    });
  },
  onConfirm(data: any) {
    console.log(data, "data");
    const values: any = [];
    let texts: string = "";
    const detail = data.detail;
    if (Array.isArray(detail.value)) {
      detail.value.forEach((item: any) => {
        values.push(item.value);
        texts += texts ? "/" + item.text : item.text;
      });
    }
    this.setData({
      pickerShow: false,
      pickerValue: values,
      moreValue: texts,
    });
  },
  onCancel() {
    this.setData({
      pickerShow: false,
    });
  },

  onDialogShow() {
    this.setData({
      dialogShow: true,
    });
  },
  // 搜索
  onSelectSearch() {
    this.setData({
      pickerSearchShow: true,
    });
  },
  onSearchClose() {
    this.setData({
      pickerSearchShow: false,
    });
  },
  onSearchConfirm(data: any) {
    // console.log(data, "data");
    this.setData({
      pickerShow: false,
      searchValue: data.detail.text,
      pickerSearchValue: data.detail.value,
    });
  },
  onSearch() {
    // console.log(event, "event");
    this.setData({
      searchLoading: true,
    });

    setTimeout(() => {
      this.setData({
        searchColumns: [],
        searchLoading: false,
      });
    }, 1000);
  },

  // 省市区
  onSelectArea() {
    this.setData({
      pickerAreaShow: true,
    });
  },
  onCloseArea() {
    this.setData({
      pickerAreaShow: false,
    });
  },
  onAreaInput(values: any) {
    console.log(values, "values");
    const detail = values.detail;
    this.setData({
      areaValue: detail.detail,
      fieldArea: detail.name || "",
      pickerShow: false,
    });
  },

  // 日期
  onSelectTime() {
    this.setData({
      pickerTimeShow: true,
    });
  },
  onCloseTime() {
    this.setData({
      pickerTimeShow: false,
    });
  },
  onTimeInput(event: any) {
    this.setData({
      timeValue: event.detail.value,
      fieldTime: event.detail.chName,
      pickerTimeShow: false,
    });
  },
});
